Bug 40709 - "-V" (very verbose) flag for chmod
Summary: "-V" (very verbose) flag for chmod
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: 4.6-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: Johan Karlsson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-07-17 22:20 UTC by Edward Brocklesby
Modified: 2002-08-04 06:29 UTC (History)
0 users

See Also:


Attachments
file.dat (2.47 KB, message/rfc822)
2002-07-23 04:17 UTC, Johan Karlsson
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Edward Brocklesby 2002-07-17 22:20:01 UTC
http://firedrake.etherix.com/~ejb/chmod-Vflag.diff

This patch adds a new command line option to chmod, '-V'.  This is similar is
concept to -v, except that it prints more information to the user.  For example:

ejb@firedrake:~/t% chmod -V 755 *
test1: 0100744 [-rwxr--r-- ] -> 0100755 [-rwxr-xr-x ]
test2: 0100645 [-rw-r--r-x ] -> 0100755 [-rwxr-xr-x ]
test3: 0100111 [---x--x--x ] -> 0100755 [-rwxr-xr-x ]
ejb@firedrake:~/t% 

Because this addition does not change any existing output format or option parsing,
it should not break backward compatibility.

This patch updates both the source file and the manual page, chmod.1.
It is based on:
     $FreeBSD: src/bin/chmod/chmod.1,v 1.17.2.9 2002/07/14 21:38:40 keramida Exp $
     $FreeBSD: src/bin/chmod/chmod.c,v 1.16.2.3 2001/08/01 01:21:09 obrien Exp $

from RELENG_4.

Fix: 

(See Description.)
How-To-Repeat: N/A.
Comment 1 Johan Karlsson freebsd_committer 2002-07-22 22:52:33 UTC
State Changed
From-To: open->analyzed

I like the idea, but I suggest using repeated 
-v to indicate that one wants very verbose 
output. 

Hence, 
# chmod -v -v 
would give very verbose output while 
# chmod -v  
give verbose output. 

What do you think about this? 



Comment 2 Johan Karlsson freebsd_committer 2002-07-22 22:52:33 UTC
Responsible Changed
From-To: freebsd-bugs->johan

I will have a look at this.
Comment 3 Johan Karlsson freebsd_committer 2002-07-23 04:17:44 UTC
Append this to the audit-trail.

-- 
Johan Karlsson		mailto:johan@FreeBSD.org
Comment 4 David E. O'Brien freebsd_committer 2002-08-04 06:29:26 UTC
State Changed
From-To: analyzed->closed

committed